OSDN Git Service

Modified some.
[clfsja/cross-lfs-ja.git] / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 subdir = .
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/version.ac \
91         $(top_srcdir)/m4/progs.m4 \
92         $(top_srcdir)/m4/ax_compare_version.m4 \
93         $(top_srcdir)/m4/ac_check_docbook_xslt.m4 \
94         $(top_srcdir)/m4/ac_check_docbook_dtd.m4 \
95         $(top_srcdir)/m4/ac_check_takaofontdir.m4 \
96         $(top_srcdir)/configure.ac
97 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98         $(ACLOCAL_M4)
99 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
100         $(am__configure_deps) $(am__DIST_COMMON)
101 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
102  configure.lineno config.status.lineno
103 mkinstalldirs = $(install_sh) -d
104 CONFIG_HEADER = config.h
105 CONFIG_CLEAN_FILES =
106 CONFIG_CLEAN_VPATH_FILES =
107 AM_V_P = $(am__v_P_@AM_V@)
108 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
109 am__v_P_0 = false
110 am__v_P_1 = :
111 AM_V_GEN = $(am__v_GEN_@AM_V@)
112 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
113 am__v_GEN_0 = @echo "  GEN     " $@;
114 am__v_GEN_1 = 
115 AM_V_at = $(am__v_at_@AM_V@)
116 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
117 am__v_at_0 = @
118 am__v_at_1 = 
119 SOURCES =
120 DIST_SOURCES =
121 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
122         ctags-recursive dvi-recursive html-recursive info-recursive \
123         install-data-recursive install-dvi-recursive \
124         install-exec-recursive install-html-recursive \
125         install-info-recursive install-pdf-recursive \
126         install-ps-recursive install-recursive installcheck-recursive \
127         installdirs-recursive pdf-recursive ps-recursive \
128         tags-recursive uninstall-recursive
129 am__can_run_installinfo = \
130   case $$AM_UPDATE_INFO_DIR in \
131     n|no|NO) false;; \
132     *) (install-info --version) >/dev/null 2>&1;; \
133   esac
134 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
135   distclean-recursive maintainer-clean-recursive
136 am__recursive_targets = \
137   $(RECURSIVE_TARGETS) \
138   $(RECURSIVE_CLEAN_TARGETS) \
139   $(am__extra_recursive_targets)
140 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
141         cscope distdir dist dist-all distcheck
142 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
143         $(LISP)config.h.in
144 # Read a list of newline-separated strings from the standard input,
145 # and print each of them once, without duplicates.  Input order is
146 # *not* preserved.
147 am__uniquify_input = $(AWK) '\
148   BEGIN { nonempty = 0; } \
149   { items[$$0] = 1; nonempty = 1; } \
150   END { if (nonempty) { for (i in items) print i; }; } \
151 '
152 # Make sure the list of sources is unique.  This is necessary because,
153 # e.g., the same source file might be shared among _SOURCES variables
154 # for different programs/libraries.
155 am__define_uniq_tagged_files = \
156   list='$(am__tagged_files)'; \
157   unique=`for i in $$list; do \
158     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
159   done | $(am__uniquify_input)`
160 ETAGS = etags
161 CTAGS = ctags
162 CSCOPE = cscope
163 DIST_SUBDIRS = $(SUBDIRS)
164 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
165         COPYING ChangeLog INSTALL NEWS README compile depcomp \
166         install-sh missing
167 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
168 distdir = $(PACKAGE)-$(VERSION)
169 top_distdir = $(distdir)
170 am__remove_distdir = \
171   if test -d "$(distdir)"; then \
172     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
173       && rm -rf "$(distdir)" \
174       || { sleep 5 && rm -rf "$(distdir)"; }; \
175   else :; fi
176 am__post_remove_distdir = $(am__remove_distdir)
177 am__relativize = \
178   dir0=`pwd`; \
179   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
180   sed_rest='s,^[^/]*/*,,'; \
181   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
182   sed_butlast='s,/*[^/]*$$,,'; \
183   while test -n "$$dir1"; do \
184     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
185     if test "$$first" != "."; then \
186       if test "$$first" = ".."; then \
187         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
188         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
189       else \
190         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
191         if test "$$first2" = "$$first"; then \
192           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
193         else \
194           dir2="../$$dir2"; \
195         fi; \
196         dir0="$$dir0"/"$$first"; \
197       fi; \
198     fi; \
199     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
200   done; \
201   reldir="$$dir2"
202 DIST_ARCHIVES = $(distdir).tar.gz
203 GZIP_ENV = --best
204 DIST_TARGETS = dist-gzip
205 distuninstallcheck_listfiles = find . -type f -print
206 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
207   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
208 distcleancheck_listfiles = find . -type f -print
209 ACLOCAL = @ACLOCAL@
210 AMTAR = @AMTAR@
211 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
212 AUTOCONF = @AUTOCONF@
213 AUTOHEADER = @AUTOHEADER@
214 AUTOMAKE = @AUTOMAKE@
215 AWK = @AWK@
216 CC = @CC@
217 CCDEPMODE = @CCDEPMODE@
218 CFLAGS = @CFLAGS@
219 CPP = @CPP@
220 CPPFLAGS = @CPPFLAGS@
221 CTIE = @CTIE@
222 CYGPATH_W = @CYGPATH_W@
223 DEFS = @DEFS@
224 DEPDIR = @DEPDIR@
225 ECHO_C = @ECHO_C@
226 ECHO_N = @ECHO_N@
227 ECHO_T = @ECHO_T@
228 EGREP = @EGREP@
229 EXEEXT = @EXEEXT@
230 FOP = @FOP@
231 GREP = @GREP@
232 INSTALL = @INSTALL@
233 INSTALL_DATA = @INSTALL_DATA@
234 INSTALL_PROGRAM = @INSTALL_PROGRAM@
235 INSTALL_SCRIPT = @INSTALL_SCRIPT@
236 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
237 LDFLAGS = @LDFLAGS@
238 LIBOBJS = @LIBOBJS@
239 LIBS = @LIBS@
240 LTLIBOBJS = @LTLIBOBJS@
241 LYNX = @LYNX@
242 MAKEINFO = @MAKEINFO@
243 MKDIR_P = @MKDIR_P@
244 OBJEXT = @OBJEXT@
245 PACKAGE = @PACKAGE@
246 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
247 PACKAGE_NAME = @PACKAGE_NAME@
248 PACKAGE_STRING = @PACKAGE_STRING@
249 PACKAGE_TARNAME = @PACKAGE_TARNAME@
250 PACKAGE_URL = @PACKAGE_URL@
251 PACKAGE_VERSION = @PACKAGE_VERSION@
252 PATH_SEPARATOR = @PATH_SEPARATOR@
253 PDF = @PDF@
254 SET_MAKE = @SET_MAKE@
255 SHELL = @SHELL@
256 STRIP = @STRIP@
257 SVNVER = @SVNVER@
258 TAKAO = @TAKAO@
259 TAKAOGEXFILE = @TAKAOGEXFILE@
260 TAKAOGFILE = @TAKAOGFILE@
261 TAKAOGFONTDIR = @TAKAOGFONTDIR@
262 TAKAOMFILE = @TAKAOMFILE@
263 TAKAOMFONTDIR = @TAKAOMFONTDIR@
264 TIDY = @TIDY@
265 TXT = @TXT@
266 VERSION = @VERSION@
267 XMLLINT = @XMLLINT@
268 XSLTPROC = @XSLTPROC@
269 abs_bookdir = @abs_bookdir@
270 abs_builddir = @abs_builddir@
271 abs_srcdir = @abs_srcdir@
272 abs_top_builddir = @abs_top_builddir@
273 abs_top_srcdir = @abs_top_srcdir@
274 ac_ct_CC = @ac_ct_CC@
275 am__include = @am__include@
276 am__leading_dot = @am__leading_dot@
277 am__quote = @am__quote@
278 am__tar = @am__tar@
279 am__untar = @am__untar@
280 bindir = @bindir@
281 bookdir = @bookdir@
282 build_alias = @build_alias@
283 builddir = @builddir@
284 datadir = @datadir@
285 datarootdir = @datarootdir@
286 docdir = @docdir@
287 dvidir = @dvidir@
288 exec_prefix = @exec_prefix@
289 host_alias = @host_alias@
290 htmldir = @htmldir@
291 includedir = @includedir@
292 infodir = @infodir@
293 install_sh = @install_sh@
294 libdir = @libdir@
295 libexecdir = @libexecdir@
296 localedir = @localedir@
297 localstatedir = @localstatedir@
298 mandir = @mandir@
299 mkdir_p = @mkdir_p@
300 oldincludedir = @oldincludedir@
301 pdfdir = @pdfdir@
302 prefix = @prefix@
303 program_transform_name = @program_transform_name@
304 psdir = @psdir@
305 sbindir = @sbindir@
306 sharedstatedir = @sharedstatedir@
307 srcdir = @srcdir@
308 sysconfdir = @sysconfdir@
309 target_alias = @target_alias@
310 top_build_prefix = @top_build_prefix@
311 top_builddir = @top_builddir@
312 top_srcdir = @top_srcdir@
313 SUBDIRS = ctie src
314 EXTRA_DIST = version.ac
315 all: config.h
316         $(MAKE) $(AM_MAKEFLAGS) all-recursive
317
318 .SUFFIXES:
319 am--refresh: Makefile
320         @:
321 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
322         @for dep in $?; do \
323           case '$(am__configure_deps)' in \
324             *$$dep*) \
325               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
326               $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
327                 && exit 0; \
328               exit 1;; \
329           esac; \
330         done; \
331         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
332         $(am__cd) $(top_srcdir) && \
333           $(AUTOMAKE) --gnu Makefile
334 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
335         @case '$?' in \
336           *config.status*) \
337             echo ' $(SHELL) ./config.status'; \
338             $(SHELL) ./config.status;; \
339           *) \
340             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
341             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
342         esac;
343
344 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
345         $(SHELL) ./config.status --recheck
346
347 $(top_srcdir)/configure:  $(am__configure_deps)
348         $(am__cd) $(srcdir) && $(AUTOCONF)
349 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
350         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
351 $(am__aclocal_m4_deps):
352
353 config.h: stamp-h1
354         @test -f $@ || rm -f stamp-h1
355         @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
356
357 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
358         @rm -f stamp-h1
359         cd $(top_builddir) && $(SHELL) ./config.status config.h
360 $(srcdir)/config.h.in:  $(am__configure_deps) 
361         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
362         rm -f stamp-h1
363         touch $@
364
365 distclean-hdr:
366         -rm -f config.h stamp-h1
367
368 # This directory's subdirectories are mostly independent; you can cd
369 # into them and run 'make' without going through this Makefile.
370 # To change the values of 'make' variables: instead of editing Makefiles,
371 # (1) if the variable is set in 'config.status', edit 'config.status'
372 #     (which will cause the Makefiles to be regenerated when you run 'make');
373 # (2) otherwise, pass the desired values on the 'make' command line.
374 $(am__recursive_targets):
375         @fail=; \
376         if $(am__make_keepgoing); then \
377           failcom='fail=yes'; \
378         else \
379           failcom='exit 1'; \
380         fi; \
381         dot_seen=no; \
382         target=`echo $@ | sed s/-recursive//`; \
383         case "$@" in \
384           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
385           *) list='$(SUBDIRS)' ;; \
386         esac; \
387         for subdir in $$list; do \
388           echo "Making $$target in $$subdir"; \
389           if test "$$subdir" = "."; then \
390             dot_seen=yes; \
391             local_target="$$target-am"; \
392           else \
393             local_target="$$target"; \
394           fi; \
395           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
396           || eval $$failcom; \
397         done; \
398         if test "$$dot_seen" = "no"; then \
399           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
400         fi; test -z "$$fail"
401
402 ID: $(am__tagged_files)
403         $(am__define_uniq_tagged_files); mkid -fID $$unique
404 tags: tags-recursive
405 TAGS: tags
406
407 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
408         set x; \
409         here=`pwd`; \
410         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
411           include_option=--etags-include; \
412           empty_fix=.; \
413         else \
414           include_option=--include; \
415           empty_fix=; \
416         fi; \
417         list='$(SUBDIRS)'; for subdir in $$list; do \
418           if test "$$subdir" = .; then :; else \
419             test ! -f $$subdir/TAGS || \
420               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
421           fi; \
422         done; \
423         $(am__define_uniq_tagged_files); \
424         shift; \
425         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
426           test -n "$$unique" || unique=$$empty_fix; \
427           if test $$# -gt 0; then \
428             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
429               "$$@" $$unique; \
430           else \
431             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
432               $$unique; \
433           fi; \
434         fi
435 ctags: ctags-recursive
436
437 CTAGS: ctags
438 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
439         $(am__define_uniq_tagged_files); \
440         test -z "$(CTAGS_ARGS)$$unique" \
441           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
442              $$unique
443
444 GTAGS:
445         here=`$(am__cd) $(top_builddir) && pwd` \
446           && $(am__cd) $(top_srcdir) \
447           && gtags -i $(GTAGS_ARGS) "$$here"
448 cscope: cscope.files
449         test ! -s cscope.files \
450           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
451 clean-cscope:
452         -rm -f cscope.files
453 cscope.files: clean-cscope cscopelist
454 cscopelist: cscopelist-recursive
455
456 cscopelist-am: $(am__tagged_files)
457         list='$(am__tagged_files)'; \
458         case "$(srcdir)" in \
459           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
460           *) sdir=$(subdir)/$(srcdir) ;; \
461         esac; \
462         for i in $$list; do \
463           if test -f "$$i"; then \
464             echo "$(subdir)/$$i"; \
465           else \
466             echo "$$sdir/$$i"; \
467           fi; \
468         done >> $(top_builddir)/cscope.files
469
470 distclean-tags:
471         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
472         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
473
474 distdir: $(DISTFILES)
475         $(am__remove_distdir)
476         test -d "$(distdir)" || mkdir "$(distdir)"
477         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
478         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
479         list='$(DISTFILES)'; \
480           dist_files=`for file in $$list; do echo $$file; done | \
481           sed -e "s|^$$srcdirstrip/||;t" \
482               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
483         case $$dist_files in \
484           */*) $(MKDIR_P) `echo "$$dist_files" | \
485                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
486                            sort -u` ;; \
487         esac; \
488         for file in $$dist_files; do \
489           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
490           if test -d $$d/$$file; then \
491             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
492             if test -d "$(distdir)/$$file"; then \
493               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
494             fi; \
495             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
496               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
497               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
498             fi; \
499             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
500           else \
501             test -f "$(distdir)/$$file" \
502             || cp -p $$d/$$file "$(distdir)/$$file" \
503             || exit 1; \
504           fi; \
505         done
506         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
507           if test "$$subdir" = .; then :; else \
508             $(am__make_dryrun) \
509               || test -d "$(distdir)/$$subdir" \
510               || $(MKDIR_P) "$(distdir)/$$subdir" \
511               || exit 1; \
512             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
513             $(am__relativize); \
514             new_distdir=$$reldir; \
515             dir1=$$subdir; dir2="$(top_distdir)"; \
516             $(am__relativize); \
517             new_top_distdir=$$reldir; \
518             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
519             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
520             ($(am__cd) $$subdir && \
521               $(MAKE) $(AM_MAKEFLAGS) \
522                 top_distdir="$$new_top_distdir" \
523                 distdir="$$new_distdir" \
524                 am__remove_distdir=: \
525                 am__skip_length_check=: \
526                 am__skip_mode_fix=: \
527                 distdir) \
528               || exit 1; \
529           fi; \
530         done
531         -test -n "$(am__skip_mode_fix)" \
532         || find "$(distdir)" -type d ! -perm -755 \
533                 -exec chmod u+rwx,go+rx {} \; -o \
534           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
535           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
536           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
537         || chmod -R a+r "$(distdir)"
538 dist-gzip: distdir
539         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
540         $(am__post_remove_distdir)
541
542 dist-bzip2: distdir
543         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
544         $(am__post_remove_distdir)
545
546 dist-lzip: distdir
547         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
548         $(am__post_remove_distdir)
549
550 dist-xz: distdir
551         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
552         $(am__post_remove_distdir)
553
554 dist-tarZ: distdir
555         @echo WARNING: "Support for distribution archives compressed with" \
556                        "legacy program 'compress' is deprecated." >&2
557         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
558         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
559         $(am__post_remove_distdir)
560
561 dist-shar: distdir
562         @echo WARNING: "Support for shar distribution archives is" \
563                        "deprecated." >&2
564         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
565         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
566         $(am__post_remove_distdir)
567
568 dist-zip: distdir
569         -rm -f $(distdir).zip
570         zip -rq $(distdir).zip $(distdir)
571         $(am__post_remove_distdir)
572
573 dist dist-all:
574         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
575         $(am__post_remove_distdir)
576
577 # This target untars the dist file and tries a VPATH configuration.  Then
578 # it guarantees that the distribution is self-contained by making another
579 # tarfile.
580 distcheck: dist
581         case '$(DIST_ARCHIVES)' in \
582         *.tar.gz*) \
583           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
584         *.tar.bz2*) \
585           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
586         *.tar.lz*) \
587           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
588         *.tar.xz*) \
589           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
590         *.tar.Z*) \
591           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
592         *.shar.gz*) \
593           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
594         *.zip*) \
595           unzip $(distdir).zip ;;\
596         esac
597         chmod -R a-w $(distdir)
598         chmod u+w $(distdir)
599         mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
600         chmod a-w $(distdir)
601         test -d $(distdir)/_build || exit 0; \
602         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
603           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
604           && am__cwd=`pwd` \
605           && $(am__cd) $(distdir)/_build/sub \
606           && ../../configure \
607             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
608             $(DISTCHECK_CONFIGURE_FLAGS) \
609             --srcdir=../.. --prefix="$$dc_install_base" \
610           && $(MAKE) $(AM_MAKEFLAGS) \
611           && $(MAKE) $(AM_MAKEFLAGS) dvi \
612           && $(MAKE) $(AM_MAKEFLAGS) check \
613           && $(MAKE) $(AM_MAKEFLAGS) install \
614           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
615           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
616           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
617                 distuninstallcheck \
618           && chmod -R a-w "$$dc_install_base" \
619           && ({ \
620                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
621                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
622                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
623                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
624                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
625               } || { rm -rf "$$dc_destdir"; exit 1; }) \
626           && rm -rf "$$dc_destdir" \
627           && $(MAKE) $(AM_MAKEFLAGS) dist \
628           && rm -rf $(DIST_ARCHIVES) \
629           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
630           && cd "$$am__cwd" \
631           || exit 1
632         $(am__post_remove_distdir)
633         @(echo "$(distdir) archives ready for distribution: "; \
634           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
635           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
636 distuninstallcheck:
637         @test -n '$(distuninstallcheck_dir)' || { \
638           echo 'ERROR: trying to run $@ with an empty' \
639                '$$(distuninstallcheck_dir)' >&2; \
640           exit 1; \
641         }; \
642         $(am__cd) '$(distuninstallcheck_dir)' || { \
643           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
644           exit 1; \
645         }; \
646         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
647            || { echo "ERROR: files left after uninstall:" ; \
648                 if test -n "$(DESTDIR)"; then \
649                   echo "  (check DESTDIR support)"; \
650                 fi ; \
651                 $(distuninstallcheck_listfiles) ; \
652                 exit 1; } >&2
653 distcleancheck: distclean
654         @if test '$(srcdir)' = . ; then \
655           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
656           exit 1 ; \
657         fi
658         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
659           || { echo "ERROR: files left in build directory after distclean:" ; \
660                $(distcleancheck_listfiles) ; \
661                exit 1; } >&2
662 check-am: all-am
663 check: check-recursive
664 all-am: Makefile config.h
665 installdirs: installdirs-recursive
666 installdirs-am:
667 install: install-recursive
668 install-exec: install-exec-recursive
669 install-data: install-data-recursive
670 uninstall: uninstall-recursive
671
672 install-am: all-am
673         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
674
675 installcheck: installcheck-recursive
676 install-strip:
677         if test -z '$(STRIP)'; then \
678           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
679             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
680               install; \
681         else \
682           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
683             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
684             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
685         fi
686 mostlyclean-generic:
687
688 clean-generic:
689
690 distclean-generic:
691         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
692         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
693
694 maintainer-clean-generic:
695         @echo "This command is intended for maintainers to use"
696         @echo "it deletes files that may require special tools to rebuild."
697 clean: clean-recursive
698
699 clean-am: clean-generic mostlyclean-am
700
701 distclean: distclean-recursive
702         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
703         -rm -f Makefile
704 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
705
706 dvi: dvi-recursive
707
708 dvi-am:
709
710 html: html-recursive
711
712 html-am:
713
714 info: info-recursive
715
716 info-am:
717
718 install-data-am:
719
720 install-dvi: install-dvi-recursive
721
722 install-dvi-am:
723
724 install-exec-am:
725
726 install-html: install-html-recursive
727
728 install-html-am:
729
730 install-info: install-info-recursive
731
732 install-info-am:
733
734 install-man:
735
736 install-pdf: install-pdf-recursive
737
738 install-pdf-am:
739
740 install-ps: install-ps-recursive
741
742 install-ps-am:
743
744 installcheck-am:
745
746 maintainer-clean: maintainer-clean-recursive
747         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
748         -rm -rf $(top_srcdir)/autom4te.cache
749         -rm -f Makefile
750 maintainer-clean-am: distclean-am maintainer-clean-generic
751
752 mostlyclean: mostlyclean-recursive
753
754 mostlyclean-am: mostlyclean-generic
755
756 pdf: pdf-recursive
757
758 pdf-am:
759
760 ps: ps-recursive
761
762 ps-am:
763
764 uninstall-am:
765
766 .MAKE: $(am__recursive_targets) all install-am install-strip
767
768 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
769         am--refresh check check-am clean clean-cscope clean-generic \
770         cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
771         dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
772         distcheck distclean distclean-generic distclean-hdr \
773         distclean-tags distcleancheck distdir distuninstallcheck dvi \
774         dvi-am html html-am info info-am install install-am \
775         install-data install-data-am install-dvi install-dvi-am \
776         install-exec install-exec-am install-html install-html-am \
777         install-info install-info-am install-man install-pdf \
778         install-pdf-am install-ps install-ps-am install-strip \
779         installcheck installcheck-am installdirs installdirs-am \
780         maintainer-clean maintainer-clean-generic mostlyclean \
781         mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
782         uninstall-am
783
784 .PRECIOUS: Makefile
785
786
787 # Tell versions [3.59,3.63) of GNU make to not export all variables.
788 # Otherwise a system limit (for SysV at least) may be exceeded.
789 .NOEXPORT: